Redmine - Defect #22910

Inline(Base64) Images are not shown anyone after update to 3.2.2
2016-05-27 09:07 - Roman Pickl

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 3.2.2

Description

| noticed that images inlined/pasted as Base64 (using ckeditor) are not displayed any more (empty src tag in HTML) in issues, notes,
project Descriptions after updating to 3.2.2.

Related issues:
Related to Redmine - Feature #20391: Add support for data URI in mails received New

History

#1 - 2016-05-27 09:11 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid
Please contact plugin author.

#2 - 2016-08-19 16:16 - Victor Campos
Hi,
| don't use any plugin and | have this problem too.

#3 - 2016-08-19 16:17 - Victor Campos

Here a example working:

ldata:image/png;base64,iVBORWOKGgoAAAANSUhEUgAAAIAAAACACAYAAADDPmMHLAAAGAEIEQVR4XuS9d5Tt2VUe+03zyzdXrhc7Sa0lEghdW
CAbgbEIQBgYEQ2IluAYPacA2HgweNTYMwaA1IMx4hGEXFhLKEQKIFEG5W1Krg1rd/frlUPnmXzpnz/rO71arNQvPX9J70uvqddd9r6pe1e27v7PDt7+9j
+Ar7ENVBYDcA4QtwCSA2QfMeABMGR2Yt778z7ujC2dbdZGntirT Thwnw53LR9IwjKpy2pvPy14UBQoJTBRH89Zg5QB17QZHjlw2zuVa10UURfMsTa
e3PvGJw8d90w/O90+gvhuw3/cbUNwm7ivsLiv/fbl8M79iPI6tGhwHYvuZs+k7/vJP12dbl5fqg52ThalOtmCPtiJZ70bBWjcJI1tBOAuAtggi60ScSFBah8qpO
JEwSYI10y5D0Bhp1u9akKUyc1BKIuUKmM89I8NJEOducH4935ZLhVjcbn6jC4X7TeObG8fOIJP/Zf917zZRNS3yVc2IL5SABBtID3+1FuOPe6WjaWnbfSyx61
10puWk/Dochb2+kmUtY2JsyAl4dyAQWIeycsitau6 AQgUFIKWKIjBijUHY7qCzuorW+jpaq6tIB8tle30kv T6irAUTRrDWIp9M3Ww8rkd7W9X+5Yv5eOfK/v
705UvT3b0zdT7/LMTcPojiUz/6Q688Jc+R+ivmNC1e6JctAHrA8g3ATcd6rWee7wRfebwXP/mGXuflxuZSd2WwIGRxHERWJXBOjHUWNSQO3vYorUo
ORWECVCZGlaQookCsiaFRjCBNJep2kS6toL2+idbKKIpLK0j6AyStNol4QRDHEGNENUJthbgs Y MtCi9kE8/GBjva23MHWBbt76 Uyxv3Xx0vély/eVw+H
HTY33Hd8P7/zhj3509JUANi8rACwWB/VvC8BnNHO+E3HO9ETznejW7dyIKIISRI2saYWIyJ40T4CIPQBNaakNEclgGMOGCICio ToAgiKZMUdZSiihOUYY
gqiMRKLYTtNqJOR+JeT90IFemsrmtrbUNaK+veC4RJCgIC/jhvQ1UHW9IWoiOLLyRjFZCz8s7M18ukQ88k+DrbOytb5B3T3wtnp7pUrdxUHow/ZSf3K3/
z4j39EcNuXbd7wZQOAp4fhP7mIH/3UYwfx0461w+4gMWEWGAKBwW7MYAxJCwwTGRDASQUwWAmMJCIOBMEEoIAYowQi6BzERQhANmYSi5CZCbC
HUclcgySJgKB0G701G74z1Af/MoBkdOSHtp2XuBKEKRRLEEAV+BAI4gKLWYTmGLwn/OVRVGI85ivnUJrrZQ65AXE4z2LsrFc5/DxQun59098WuPh
su/9rPv/Pi5L0ePSBOUAAPOCNPrhxy+nv3BLLY9joxsakxkgs4LNIXAWZikIFJKLBFcY4GGNhYCGq10S1CgQooxBlyFM{SxmI2ihGAZEyMJqriotCIE2gSQ
wXJ6JppjbNNFtbQ//4DdJZXkfa7SPrLiHtdJCKLYnSDFEYwTUAQJ3P4eoKJhCILZHVbGNOSjTm+3uwVoEohklagMtS9nfO4tyFu3Dx4o0W71jX7if/17Z/8
BCD65QSEaw6Ab06jH3nccvyrmx2zlJpAe0akE4hpGWM6ERISDSgyEsDDOIoBVEetMoCqRikQCJIAWGXcCaBDAhiFsFMEFIWwYoDZACYGGBnUcol
wjVHEKitVV9AaQflej/gBhr4eYeUCXuUBX6AniVkviOlVaRTWfoZzNxc5nsOOx2vmcz6hHI9IBEFdZWAakVgumMxBrQox3d/DguU/h8sVTD96cbnznz7z
pA/d+OYHgmgLgH2fhs27tJ3+8kplj7UDcehKgadxkAhM7DQKVIKgOEKVGQCWCSKKVEIkAFJD9y9gGFBrYa2DdQ4VnNRgtAocEFUNBTM8Qws YhXJ
agaregnQ7qJIONAQ3IEEG7hbDTObTbQtTqlO20kLQySdMUaRT6Yqg+eFaimJcrhVPLJHOVKjnw6QzHPoUUIBolgShB3uogGyxJ0e7BOcOXyZdx95nb
M9i6/9zIPfN53fdtLXvJIkyBeMwA8Dug+dTI96ROWom8KAAQIQT8QSUSMVAgjh6Ctkl4RtIxly0CyQCURg8A04z8CpSdWxgHYyokjCBSo1KJSBWuy2j
kUxvDEw7VbgHttda0UeRSjig29hdZhCNPNEHQyVgCaZBniNEYaRUjDULLESMjfUTrUeYV6XqgGaVajyCvmOktmswHxeSV5asMSMWI30VickW16BjR
LMZwV2L53Gg1c+A0zyX/zt9z3wEsiXRyi4ZgB4bhZ/9+OWoxdvtgxreAOVgXMI8xJx7CADA1kJjfSMaGlgCZwEUGHoDZj4KU8/+ TyGf4VTwirCCmCdE
gBSi6gNQtSBQRUG4gJRFwjgUFAkgpw5Q2CYKyjaiubdTl141 TBNkMYJ4jCSxAgiYyQiulpKba5S5jVsXcNVQFk6gS1Q197z3MmQoSJIKkISXZbC+jm6
vB5apk8uXcf+le3F6+9xnnh2u/JN/+Xef2f9yyAWUFQDkB5bS//sxg/B7+0GxLb7BQFBVGsVWzHIIrAVGMsC7foGKks5TFeN8BDUBQFEAhImBiYzU5A
BEmCrAkguSEJaGV6BwFpVz/ClwBggCbfKCQLQMoSWz/DhC1Ek1DCJEaY14SjQ0Q4nCAAaKyBpxpdW6tCiLWsDCjk814JiWMLVjQEoyuLSDMutC
Wh10Wi3EdYXh5cu4dOk87jl4qAxns+/+43tGf/OoBcCzgPUnb7RffWMn+OoMYjMjUpYah1bMeixYCOT6EEnVeQAEELp5png8/fDBtmUK6EVAOxRh4q
eC2glYENAL1PQCpHS5ri4gnUpskkQDwX/dAAKrlaMXfEgcapDHCMEQY RkjiUOMoQGxCxAAiZxhitJrVKHMLZx0cAUCaWQ2sGrggEolbMFIbXNrRMQ
Kp1KANB1fkGl+nuOPi3Xgqwc/mXXvZg8UePWgB8exw/+bGrySuPZOZYi4fSIqwtouVAsBkZtCBmCUz9IXU+Y70YZaYPBCODOwu8mzAp63/GAYEGAI
¢8mDyVCIc52Nz50F2VNRwZPdbuhgdXYEOBCw1sHGgVGWiWwnRbCHodInEaRAahQoO6RqSColbYutRgblFOSiaDms9gsVbgASCh2CCGJi3hy Td
pG2UY4WBWE7hI4TSfzOTO8/fa7Uun//j/OV390gMWAN/dzb7xcb3wr9Zi0+tAXFXTATuzEQboQIATmMC5PnQgPuxi6fiMwbYHpiOhbSAyoxCJBi2UXKS
FAHaAzBzetoCXAVFGTLIyQwSRG2AByaQs2jKFhCHUViM61gGuUYQJkomCCOWohalLcRtDsImHHOc8g8Rz3NUZfaglChYM6eg6JWg1pDIVytGHEI
QIfl1 GFvWmJcVmgbA7FOPnfloersldOviOmp/AcftQD48W7rX5wchH++GgRhompg60KW2tGOBVIVOQ65FRY3zsIQ7 TpCtAVY 1gAJALTEZiegWF5EB;
otlbmFsjaOMEmAdHIDELbpD6A5gKr21YLPKggMppQEgKtgsz5sZwmSEjBtNhVUXcGOEgwLLBGZe9iDAy13h6gmBILVarlopxVmkOwDorbMBXxYYAUif
J5XNXbyEuxTJBLgzPb5+r6Lp979V6dn30GW+VgD4Jokgf/zIPvFk93kN5eZyEGMcxqsGpFBYNCFSE9hMtoK/iFB20A6EGkKJiAzpAaZjY GKycZ5mFyw
PgBsfo9rbbNKF6RQ6mMkHHUS8I09MGIMcSYEEEnQXByA/XIfdidA9StAWY7C+n1gN4gTHugOhoAEV+dBewUInxWtaMxqgq0dLXaGWhVNaMInBSbDge
ZzK9YCtTYPJodMPrfziv8BUbSO4eLBTf+rcAx95djT957/wAJuU1/bjmgDgF5fbLz7ZSX6mq1ZDVWMUZjUMZCCCjhoz8MCg8UUKNmI6dMvqg44IMFCw
PedgFHuLoAOaJj4d223B5BcxnUDsHihg6XwDjApjTKsYb31iFtBKk3/FS6EGO4uP3wpFv7A70NaBZG2AnsNVVyTgQ1o0o0ErWWEELXjC3CTsWpeo97d
0+Lyjuaz3Lv6clrgeDjFdFb4BLROLE2F9ILBsI1 YK57QdGOyM9u0dZx+888ju6Pl/OMWVa2t+npxr8PErg+1XnGwn/1Pb1s44sAQUA0CZfw8iXcPuHuCz8
YDuv0+QNcgMT2zg2mFkCceEXNyQGcLHe1B510fDCIKoQcWOJ3DXagBUQU3rmGIEFGvBTPogSwPGP/hXCFKf725CTI2EtpZhbabMK20Gt84yg T
pEpCssgiBG29pvXtelad/OtPZhUsoxnNVhTLhPNgb6nAy85VHzbABYLeszcw55gF6MBnbT5154HPxwfD7/2KMz16Dt/8LfuVVB8BtQFitdd560pV8c2Yr
SwCw2bMaBuABXxJB1iR/CEjyEw00fHtRDqiDHEkhj98QSWeQ+gDJ/igF TmgFgQ4V904c9nQJO7VEEhAKwWmM6Izj96LKLveC7K+86qvffjlIXM1EBWey
Jry5DeBrCyAbO+CdNZBOFgum3UNga5frgQLi/gti+5ejaFzkvk29tuvj9ShUESL7G7s+9G07mUNRNE1X1by8Q6aYeBjqcz+5Izp85V490fecUuPvboAOAX
gq0Gr9/YjWfzUrCprsRLQ4GuhQQ/AckMK+W5b0BaefO8BaCWSP3JjCrkxE9UZjJtDkgDCmL+ncHeVsPfmcCMLN1NPCyNiyDAWWQCTCaJbNhF/8z+
CGw5RN7kfWIII2IYsLOFWViBpX2Spi2CtD2RLKPYKwmOPgZ3NUY/2ALZ9Kx7tCPXBOFU7u9C6RrG77/IhEQjMJjN3ZWsPkzzXwioOrJORraUVBC6fz
92dZ09f3tnd/8m/ntTve9QB4F9348evd7K3bqTxDWIR+PYZ+f61wKAvwMAY CegBEKHQFx/vSf2R7pUTAbDMIr4E2RIyAuF SCntqDpwHzPEeytddgh1W
0KR5a8kxIzMICIJOCPRToB3BtClo28PZANIeAMvLKOVVSKcHba8g7pUwmyuwRZ9VAcDysagg+RgémYCdCpUU1e6+I1t7pKK13B/p/GCotbV6sDI00
80RzstaD6pa9msnrUBcVZT66fNnty/vbv/s20f2bY86APy7bvas9V7ypvUkXopmecw1UTMcYrBuDngF6YiSMBAHrQboGH6QUZKkMUbdJ96r0BUougGyN
54grqd+1DkxThD9yC/NduR33/GMpGAfOFDoC2gemGkF4ItANIFgOtLpD2IUkfmvUg/SX/WOAY30bjEGSC+EilulyFIGOg3ofmQ6Biopn TE/hKOUmMelx
ovr3H4IR8f+Tmo7Gbzuabvz92B70ZHISI7JVWksBYVLV+5vy5vQvbO//b2yfIKx91APj1 XvLcjV7ndctxmESTmQYwZhACKOIACHM+UNcZrgRMBEDOX
VYESBVCYp/IGMPBnoMcAMHXdeDunEFrgdzSgf3wNtysgk8o+0BGOhAJZAxJGBOSR1kL6KyDCZ60+tDeCmTtGPD4r4MMIsn+w8QBhAMISX3FLuP
TkP37Gz55MII7nsNVpJEzIONci3GutROd7h+46XCs4/HYHkymepAXejkvTWSMIbrWz168tHf2ygXf+5tJ9X896gDwH5eyH1jtdF62EodixmNEYmMTFGCx
7EohtX4FRIKQghES3/joHPAQgerwYAMIToBesTP/IB4Mm2DjouolklhQidOii5SHHLIXjwA9paBTgBph0CrA2SrQLYMJD2g04c86WnQr34WjCHyyD6FQM
A21eLZWsjufZArn4aOx9BZrXZifUTSdhtFDsOnpStFMN3bt+Ph0I1 mM7c3mbmLk8I11 AZau89durL/0OWLL337uPydRx0Afmc5++WVbu8PIgPQyniEGEI
GUPgNBOBCssZzAAYBVOAGcOYgdLBExIShPP2sr8j8+1gLcd4BRWGAExwOWikkcUCmKEEA2ewDR5aAIQHQXgLi11+VSBBBIV2hAObrnwO99W1t9u
edJBtK3jEEsSgMyhwB5a9n9HMyD74fujrUeUTFsoGkG7fUx3Z26wgWal5W094d2Mp3ZvenUnR20xDprl+fsqStbw/vOX3zI06f5v3/UAeD3BtmMLNSYH
v9Q3gTXjoaQqciTg6Q+Yq3kCiB1+E4hE62QCFJgz9lclY+7cwTiFUADAUEAmkInekgljBzeklQglhdzSAk62gZV1gDF+eRXotCGdFsDEju3BtueWm9N+
4quBtSd5fropQjRMLYFASFL0SdGJ1gpz+gPA5z4ELQSYq7IvUGKE2+3peFy5CkZn80LHW5HdANxXuzN6e5IVtQ1fXZ723x/eeP/eWd47mv/CoA8AfrLRf
dnRp8MPdwFizP/Qcz4nQoHN48v2zIGLDh6QOKwAmMgriCZ436hwb2fT96gdBBAgelZyAXAAdzQwD5uj50cwOSDKAUjUVZY/heBklYItDFBOCaAlHgJ
WLSOwLA/EZ4As|zjX4KzTck/vwJWAFR48z2kKw+7fQ+y/CPrSnpt/CbK9EHbeRm0SnpbrKBG48nLiD2dSd2RvqgOM/r0GI9YWdndue5s+961sHOp2/z
Wc61+7jaRJC8elLX11zeurHxbC4Ez+/vShYIASEOv8eDJZitWwowy30UFEDd/1rljh8XrapvGjvPSIY FnwNQJvRkAZ4QQzobQLYBpdGZzMUEQQgOUo
AAoJA4FD80o4sNBqgwthp2ni8dDIr4awtWtdAz4fDwBY SoDYaazg5iNEq7vQuz4F+/5PIHzSCew+eVknF2Ywx1cxmsEVJInC5VXewmrTByMdzucuclLa4tlL
uXf/Khs39nhgMX/g2ubT/gagLgm4DwBaut9964tvaNHRgne3vSUSWROCBJKenhm8zDahrxNNO+Zb+VImD/fy2EvXvWJITODDQ+27/47xIH+SoDHGHF
IEDrGDDYALoJKBIAQQOATkghAWTVANtNHgBBDGQZEHQgURfaOQKsfhWQbgDKgmNxQin/qQrgv6AHV2DKj0Lv/KxWt58TEkfzZUOOdHpQw631U3
a6059aVQazjeWHPDIfYn+fWulLq8uL 1bfvghsx+fH4x+7G+B3Wt3/q9yL+C/b6A9c50P3rS29jVIMU53d6 TvFCuxkSRaGJOhPWmMzuGLIDHQOIHYIBE
8uYX674fQrRImpfEPQaKQmMxVYFehmCAmpH+4Cm2tAJwPSyH80O7QxIYkg9Bm50OgW2WdwwHYZM3pAmQLAMUomdHoMe+HtJmZuk89QDHpILp
W8t699uAz76dCam6CzNUexWKgxq1CWCzBObYEiZz44ow1LkTJoGBPZ+rWivu703Wn3no7Ge2dg9+7H3AB6UcNAF6y2jraMsH7b1xff8yASqqdHelai
+UKkljxnhgARLyYg6ea9Xvy+MZd12dzmHYASJTmWO;YT316Fy2bzPbJlwtwJAaSdtNLbmVAvwP020C7Dekl0CyB2CnQioFyYfyaoWQOrCTQ/R5rOq
DdAdp9YOVpwNIToUG7AcB8CFy+A3r3a4ArO9ALIdqHZiiulKhBpVEIRwWAuUt1 G12zgbi9ZJpOcnE708LxTW1XsH+/WdD51+cGe4/6NvLXHXowYAL16
On7Qape++eX1jsOMfvrODtg2xxJYv82zOcmcCN22kEsy9opOxZwXdIQImJEh4GIng1 TSRMytgN6kpHzoCHAD9ZxATQZcEcmsP6PYB1/FcgDceiYzvLR
6qC2P5lg09UQBUDsxDSakP71CQJEDJObADpzYCL0oQ98BJjc49IFPZtD7xm|PjfXckiNIQWpBjUBKEQsPXU8gbowxIZZ6PI5riJi90ZDd+ephy48dGXvR
94JfPRRA4A/W06+fj1uv+PkxngqvR6HXzjZadY m+TwAFEefBKNzMm9h0+GBC6F0+DZcZuC3rYz87hGaVRIVuAmjawhQRUkCy2gaOtpqTzjy7KoHhFD
JIASqHhMxgCCx30CtdoNdvQoBvPahnDLUT+e8VunzfcYyhoxo4mDe5xFYNe/8MOW6I5Zy6 RON 1iZwNsGHkX808DIzIDMaAnM8LioTcaDp1nzp9eu/B
vYMfeUtev+dRA4A/2Wj/0/Ugeuvd9Y24a4y63V20ihwddn+UybnxNbZ3/4cAUPXUcEAqOPZdAbhtOItFclQSXwu0BOiz5+sa45Iw2gihx9gQogYuToGtC
mAZyZ9MCoGxg8kgEO0aGIiMZcLIH7¢SQ7RzopV727cmJdgxtJQDDTh1A2Xw6sNBWDHeuQHOgIIOppeiUwlShQpgASIC3Es1nDIMT4HJVQ6i6UTFznz
xzZvbZvf0fef3MvvVRA4D/utp6/maavun42rrOgkDt7h6yflqW7/83ALAITcwQQD6gqfvpFUJSUW3jW72keQ2HBNnp+CoQtRH/qvWWd830DIBbKhtlIZvsNk
eR1ARR9EI3+1/i40zyz1NylgbW4MfzzbwU+vOczfgdMV1KAoYmsH8vOU4VPLuuRot5je6ABgKXxSfgSqUhCaC/1FPFMgSu1QxQYxzbxHefO1nfvHLzw
FfPyNY8aAPz5RvsH1+POFUfX1tANA632htKejpHXNHMCh9LuurGJr/UX7pgHmmPBwcDA7nhtHolev74wKt0/e QO2EzskeBzwQAEtFcJTyxBwKDDkD/
0Z4yNizKLUR8y+QgSk7BrS3ZjmxaQxNluadpAzULaS75nDIQEODVARAKGhGkktDX/0BTi1tJKimCrmKti2DkkQuJdmtcMfZc/aOne2f/cuZ/W+PGgD85V
rrd9ay1p9trq1pOwpQDSfSHh0gcQ4x27d8J2wz6uXp4AXh4w8sx4ESWPHO0Y7M+ue2mRNjoUBX3jV+VJju2euxpuQIFkTbocGpMI3IcX2XsEFZAwp6C
PIONDb/koSAJ5DCJImHktgL+uG4Ee9aiHINjYFDP6PIZ/w2/zGzh4b/LUoRgLpgrsGOVMTOFNN557hw+cjD8tT87mP3etZw TvKpEOF +ut//1Zqv9+2urk9q
OlISTgbQP9hDX1r/PTAQ96+0VQRRXAKIZFsO6P4xs8rA3094jsNvnEzbalyL/v3DIAWU5DAOLvgBreN/gO3QrTR7QqEoPQOHzPdQUekEi/OLGMIo8k
+gBwM9xrCiLYMsQ9RZg6JVyun5KzTl41tDaaROEcKwgOpxaMihLYMs6REY4n4J7LlyU9+3u/e5LR7N//6gBwCs3u7+70WrlyuryimZxhHo2l/bBPsKyQ
MQRbU5ZOrp7QcjJnJUQHPYoHppBSILA1Fs3Jz6IGuP6RhFJI1YCZAcZDugF2DtYiEceRvnDAGiIMvICbfF6e T5D42bMFKFSgVAgHaRMCOE/gCIYAX
DZhdylRD2DLgB0IBBspzM19yLE+ph+6iHK7UFINXAHzAGxZ9Q6Gue7nLI027972/ZM/Hs5+7IEDgFcd7f7FRtZ+4crysqZxCFvU0j7YRT]PER/ZhOzu+
hMfspSrHMKIEGE/hNOuIXPSsE3Dx8u7/OCAAPsVXNnkAnJLDJwrvCifWaUylWyGSRfEwufj/iHF35QEi6pgoT469ApcCoG1FPKUVegnC6jSCwTgtglLS
y3ZGL2HgOHPA3IGDpE9cRvXxTTOH51gcxeus50BISAqUH2GZOQN7KCM5d2ZK3bm+97P8czI/46 ACAqrz6 WO/1G630dy0vL2tCpU1tpTUalrQW2TF
8Y7i774JeOE9Zvu8HeEFHyemcJiS4qYUWrACMDWEOII7YnFGgS3dLwqgGZpalhZrT{BgiDjOthdajcQGLmMt8D4AtTMU/9IMhO5pQVZS+E+Tcl5FxonX
mGsUQBNOWXkaxUYVgnUHCYBnAIBMVJsNwMhmolWc+YAHofaDQSXtrfNmy9fft3vj/LviZQAAPKaY513bHb7390fLGni+/GQIMQEDmMC3v/074c6fg/
v7DyCwFdrrlai5s6MKladDOcA554nmTEAADmMAQIsY+AU88pV/+3WXit2gZEwB+uvRhD7BoLx+Wglc2X8gMPUXA7108mM15TcE2SaQayn7C0pJnG
v2ggXJ2uQGA9GIkz930K2pm79n23gAct n4lITOH1Uyx3Tgk7QUGe7u75k2XrrzjHY99wvNvv/326lpVAlczCZTXHum+/0i/9+ze Y EmjgF 1/kfZ8DjOdIn3K
UyHDEdxdn4JRQUjyh28eeXrnvDKL5R+rAelGOEIzOv1Ro083KRcz3f2ks2pziRtDjk8ZFsv/wm/1wrF8MIh6 WgwsMMXRwT6BXBjGKEBNUEKyuNJNInDF
n6UpyijnAYzolTrR8zILtVgjowejllgP1zPm2H3cVDUK]|B/V75g3nL77vVRVHNvWAAWI9CcsxGxqwaAV3/vOwbm797+4c1B/+n0AGFgfLLdqisf+yOuaaktZDb1
ghAgfnhQYz8hysZQE9fJ4bOpwzceu9zNw6FP+NyAY+FNHfYIACyy/YBVAv9viZIDkvAQCYt3weNmYXxfWSy+7svFw7yQ/z4ywNE1uKDrZ9c9ACTwo
2Ckg713aARrngByKloX2gCAOvewOMIwaN509txHPtFd/pa3XLw4u+49wCeOHmM2dxvgjG4OIrxoMehqYgFU12nzH9/YQzqfekH7rp9dyLgBAPeYiBPiefl4
39XkWABz6HBZNruCr76297wd76QH4CVYK5IYOK79HIH7+80weFwzh4Yi55XkkHc1hkkEAt1U9vNzNRwcihSGJs4 Tt TsP6sUIw9ASHewqoOONgIiOE
9F+UQ6T5l4yBrbXQ+Hpk3nz33yds1/NY3jMIXTBNw1TzAJ25G/1ze/djK8VKIS72emsUEEGI8mMYxh9vYQSNTT8JR|LUg+luEhiwMyZwiMH/rOR7Md+Uq
BIUDHFRW6TVJIIOWNx6wZ+X04DiwKgYeTP/IKzRbKz5d+hxQx8dMPI1U9rQ+8s4c7ljec4zBUYTtiMJN+/vgGOet7wngd4510ebCUgXeyd0IDEOXO9QLS
YTMzbzpy7940Viutfz+cXrnsP8IFNrO0GVY +trBHK6/cAACAASURBVKzc2092uRWMimC06NaLHGZnG2FVQpxfBON4AUo1zAIADAGUdpHZo2FZI3u
XviB7JgXf1gkOGWwY 1B/PAeYFizLvC97gBewJAPYYDvsCZH59rOdzKnC9GO502XAPh2GiSTX9gWeZ6XeYbB73snCnHBRpthp5IDDP6QNgMfdFCI
YAJGSAES 1nc/OuM6cf+mhun/ugovjcdQ+AN2+kNIVR/KGVIAXNXqcD7vfie58F0sT+vROE04kHQOMFGrsw1lcRewWsBIJmTIuGZnJA+pBt3sXiB8xKu
GkJunBlyehP7P94B4MnCB/RIKLxSTczNjGUsSNHD9TO+dfx5bsgTC46MoGkST/b7cewENE694ZscgM0gQyBpxSaSEYxUMFZoh/sL5715200nzn1wPv
uO15W4870HwOs34iebKPvAYHV1qgdsmAJr+ TUbZFxOu4RDhcM+f8EMv4ld6 PfHGEEDDCcF9c0rSAScZQx8epDI5rLbl2nVaw2zksS8bDO0+rVRf+fOv8
RBI2U/OACisjvHgBqgozJSi4YI159DeMTw835vWVMtsnfRZxOpBV0/gWrMsrBJAKVNGI60ZuY XCoZWqFzXTmglAPnAqVNX3j+bPv91FT5x3QPgtRVR
M8049d7+6mrW4admuv8FAPwoeJ5DdrZ8GPAJGHOAhSCHAOBwWDtEgKfvAbMo4v8jB04bF3Ct2lY GZn+cevx3u9HGeHzDrjYjEdwcfQQtwHUTQP2gi
SL4jAT7n4C5a2KFtehG+YmiGVRZSgibfiBSOIxAsRXAcXFkPkD3vJOYPdIESVMGFJIcMqgiHNnTgKfm4xKBY easijQOi/woVMPHrxnPPmMuN9T4u+seAK/
ZTL8pitd399dWgzZXtkM49dWEABqgb2f/uDolZBzEXAGD857Alk0C2agMQwiMat7xr98ZhishjRrK9Jg3MkEAazsKNCr8zUFcAd7721+Oe/aPyaEIQb3F3
41L3ofvvepFTQOMfloG+BCUAfILIuwMWXUPDTWRA+Oy+zzvqu2aln9hCOeoiP9fhYCs5X61G1J1yvIAwKqB7gshC42xZ4kOnTk3eOxy94101/vb6B8C
R5J+lcesdHV70OkLU8S8vuLZNAT/wwzo7HCHa3fSIIGzJMkHyjmttP6rSTRsMvbc/K+eYQvxjHOHIGjIZAMWUAwWLDANTHWohhxfq8pB2nH8KaQmyhQf
Ko6JP0epol91+BP/kdwuigh2aBiaOKvDPoKO2M3Eoh/8TjC7xxg8uOnY C+X3FulymwgunEZ9dwp+wQEgHOIiwxLYgSplj7au9cMPnio+MBx+3xtqvP26B
8Crj7W+vR0If91aWUOWZIRjPQwADoDxYcoKsnUFUZX7Uo057gJNWwWEHRZuvSajPbj1G/2eaVIRsFcMtAVywndoG7LwLDIVDNQEFRCJtIIu9+Ff/c+N
vjGDvdago61g4dk6JNad9wRw+EgC+Fe2pa9929vNHNEYmGIZiBM/oobp9CjezXh700iL86hu1zBO/wlJt4boUHVVFFaeULtjaOvixBx+sP72/8MJXWbz+
ugfAKO+0/kU3SNIIAHADNWHAEMDuULUvCxUJIYG8f4WjfG59sYNwOEXY DX3djJQMo5JytQFvc5tFpOni65r4D1tgankPvvASc3wPyR3gDy+2eirdwKP
Omrd/cP9aEglcBwl1VCy/g19N5nQKzFCCkUJgLoQ4ayZonjlgFkBOIDRzZSCsllwQ2HSiOnPDglgsBygl6huilymps1DgrOUdPndJP7+3/9KssrtmegKitGB
L38SPY9S0n2umx1DSIv4+DuBig4GOfRAICnzMzmwNZIJLx/yWmjC+BcPwUZIHundP/LfsLXD4AQALRgTBDQSzggqYCz+8C9V4BLI/iBKNUCFzxze5
d1KMqGU2LHd7ForskP/FrShnPygiE/ri6IBgSAoh4r7Fzgcgo/miXVhxQy80+TGMrYNR8KwptPQNbWvCawtEZHgngxrDUJUBcO9cdPnZJ7dvd+/jUWF3
Hde4C/2si+f9BqvzJbWUOSxAO0AGqocMZdCNGvh/Mpw3dIBNB16mZiX/cVN/NekBURtoLPiV7v4GtGXB42SWFMHOBMsW64aaYY57zgH3HUFwmPv
CqglCJwHAIVjeakNEBiCePgbF+I1ij7v4/zogiDgKew+wcNTL6gnvDKmKRU9CBZMY TQwKGfi1 WNotYAbb9HcpV6jOrTOnatqDUOpc0j16 VMPmMQdJ3d/
7Dqyr84XUPgNdvpj+eZZ0/z1bXkfDuHg8A9ell7gQ4 X AtHb4DpBNjeQmJgcEWsj8tp1Kx18TF/AHRWmMxKQIDhs3/IsEwRLVARboMuZAAN89D7ImQN4
WU49h7rSX+/irdFBs0zKgeFWWMZ21/1B4g21 AUSDZstlte 1gJOWADWoqjlgsNALLIPXpWUQRrYqGDGJYwMqG6pHj7GTrgLburLMUjtaVMeU9p8/g/Pa
V339Fif/jugfAmzZb/yputféktbqBJCIA1Md/VkspAcA8wWNf+AsOgurOFmU28VJwWFhoBbQEZJ3y6QH8DSLKHAfBWB5CW6EFigXzfPHAWStwt85AwYrIX3
idQFtK5Q82KJ2pJARF40HoFt57QlyJYDplOmpxcMOpBEVSA1P1uj2gKsc+F1FipQjoEan0tJ/c4K9TqVMghVbrpFbberE6d6hp8XqRCY4p6HzulL81tZ/f
U3pfv26B8BbjmS/HGadP2jRA4QRhVUeADQ+BbORQXA03acwczKG7GzDgEWYLrlysoDt3mLMuw90VxoyiG1YgkW14hKWhgFsOwNQO02+B0RzysX
PAfEKKD3VVoOblkrxjkHnjgrdP2zHaSwZRIztqLGxVIbi5h/CZx1HzGsDJGC5XTD4xhiubUvXwY SKgpHNxzd2FtSp7/65gqOn2HEPB1BjSEDfX+Jvtwulz
58/i0gXLL3914a7Z5vCrlgS+4WirtiztvKiQugpxwIviiIMwBUjF+JoMPDwBVhIFBoFzFsu138ZilV702mjsug0ac+XxAsi7QWfb/UFmUc6+vbENny6y2KTYAO
iwfKsjlMZiKw1Dbt8gF1DY9hzAGDW]KEtZUgHQONeQQSoT/fBnx9z0P+ZuXgDvehCAtsf/2XVh2GxeKc+YJ9Vy5LtCrhPxwEWONr1nVkvujT97spoMIP
W2dViK1CcL81MWLevHC+Te+tnA/c917gNcezf5zN+vOm5YHQOIXQHOD2yMB4CsBT9aJ7/WExRS6s+W3cnBbl+8AhjEkbUGS5xzdadlYhp0g52s3Ve
PdDx1248gYoab20gsznvNvF7w0g6iTgHS8UDtSQnF3DAIIVcEENF9awQQmMHORwWXUvW4RHoV+YUMsnfas1M5VIBWjUqdPFQ95cZycgyizCGqUID
U4tcVcUfw1Do7a3ddccNN7pwY3IdQB1GUP3Thop4/e+5th6zcT173AHj1Zuslg07v51orKw0OAvIK7SQC5D0AegP2BwW+0fzMLp3c10DGVSWOZN3c4Zf
wozueYt4XoXDgMcQMwBXOsWf2+f3+JRexdw3fQJgnmiju/RIXuFIGRKU4HOxzaLgnMcfLnCoTYmizjGflZ4v8EumrSDpcgq9A7ckjVpRUGPGKAVK9Sdc
g5AUUtdEqF8zHhky0zpzarHZu4pw7UK3zEzfpTm/Au4zKMIzmZy5dwtnTZ973psr9y+seAK/caP235V7/J9vLK46 XMDF Scy8QNQG8GMIDgAmgtxMFlic
20MHKAX6fVHO7ch7Km5xQvewAeBGwO1Q0AZBkgLagf4WKreEEJE1gs7IW7BUrlkQLMGQfQ94SQWQhrp5gWU0yrCtOi9pGCiZzfO83k1FCjyH7F5
7N+tqjZ5uXri1 LfLFJbGszHgrlyyJ26mXXKx1jV7tRazwcDOzt+k6kCUydxODtzeVtPnTr14bdW7vuv1d0BVy0OHeOVGOVKI3uCHuqtrNvR3/TY5AD0ATz41
nwQBi7BDAPA5bgUwXOJkaUBuUBRkB5QioZo3bjyMobwDxBm4oPa250atgQMMHV8zFKSSL/GUTiIGuYXgF3aYLxwQRbwwIHOe8V8tvgfHUZCcTiFHI
XXfRKKQMCan70LrD4TZT6JMDT80u+d8CefVQAFZHOrOrfOTay6IUT3FIXESDO0/cbOYXt/GUTA7t7Wj9z946hNfX90XXKtIUVcNAK/azF4z6C2/0LOy
YiMxCJOKL1Bg2D4EwOKOgKYRw2qcBjGKKKMwkKeeZR +7fzkwugKd7fHGyOY GEMOh]Ybb9SWhg5sQUJVsyMPRQkmM9LIdyGaA2WvG2B/PsD
WgMaWDWdC+XFPrAcDmI3dD8JKAWFQodNURt8zFinrEk2/gSmjOJmbFMXEFrénnBSZz5xw3141E7FDhJk6rOWAVrRMnXRpHs4s7e+6eBx74zI1F/
TOvdW6uwcdVA8ArNIpvXh0sP7/tASAIrfpLIckCOvDOCpGfu2mUF779SmfguB+ABUANIQnUXoGmSaP/m+8DB+eh1FRSD+AVntwxwByASgwH63sAD)
U5fKsIH58ivSnF7kfn2NmrMKOUdC7ewdDNew3i5+dCyU3w9foQRRz60ZXGKxR7TPOhBavLipm/oLKiuT/96kVJJKLHInaksFOHaiulObvIMa7X78wv7+
7bu+578HPPK8rv/mVgfg3s/7DS6Uv-+u/9qvi22paXI5/WWV+gQC6HV+W4gN4Uy+6cX4PztYjXkYmC32RHA1r/nA+oRhJs81k4CaXOzB5vyenAZ2DsH
nR5AcyaLlGo5jp6hKinvgz9edPE5SL3mKhOuFMLcK0gaU93uFFOmgrEktePIJPD8n7KQZFPaG94WIH21dnxNUXAGzOKFUtXjKN69VmMmQNMYHQIOOL
DE4gO1RWrmhw74daPH8u394f2rvvuO9XPqgxe8BIl4yeNU/rp4HWO+8a315+VuWVpZKoOEQiPrF0AN5f2208y YELFYCL9qOTT7QeAMp5gimOwg2I4H1
G4Aelz2njev37bZtuEsPQve34KZT{5VLX|jjMud5PxS/kK7jpBepd/qHx/Z/ZmeTKGeoB2aDitFmzQhhSiR8QpgfgG820g72A8WIVUsSE8+TUvhyAA1N8oQ
5GQTsS4EQNERmMFGIVp5mQ2kXt+dfNyt873p1N5572fPt+bVD7wZ1+b6mKsHgLXOe1bW1p7dXxrUYXMLXNAVUR4mr/bS5ILIxR4Hz/4eror3LqC5Iwi
YjiW2+35pgxw7DgzdCGVVQHgNHE9+CZ2N/B4/TA9ghzsoh0PkZY3cOsxrRUEANLseQFkYCwaupuNisFHZNICY9RMQPd4UM+fyikUSyK8zZ5hCp1s
NE2hr5eY4T/7kjgkgVxaLjlR4+i0fcOWdOym3nMNMQnvjE54wm4q4T99971bs8h9+W44zV/34P21Q+kv+u1+21nnvxtrés3pLg9r38Ljo28dWHwJoPn/6/U
zAISHkaYHDHQALEHA2cL4vVP+wdpRBC7K6Diwfg2Zdv/TRr4blKjlyB+MDSDEF +2/earwniHvoeB8dqUeumjUWTirYyGJ3VoDb5tn1Yy6wtMEmIhdW
A4ZFxUy8RKO0cqZ/31/HJAUAVQADUxnEZBO8OmMThjpwZ2gkr3X1cq1bY6HVqtj99000x7A73j7nv2zGT+wncB93/JjfAP/IKr5gH+Yr37/gNra8/oLw2sUTG
RatA2omRguTLe3+TXnHQvwvZTQo3ylmn9Yoq7kXCSbnP7u7CTeVMaxmTIjF8Hazpt3zSSMEMx43WtY3+IvN8dsBgv8yvnuWwiUFhYVKhQWIswce
wNeiqg3laSakx/7wdSGEGLDMRBeBcuujvM9Aesn1wVVLY4nf+68/NtNVeyU0gGefl0OAwWDm3W1u7uro6aR0/iU/dc++0Gs9+6n24NvsCrwoAXgOEs/XO+
4+ub3xNv89erYaJqGmL4cS9iZglGmMMT3czyuE3wy9enAcAd/BUxojX+fMq92kOu7Pt9/ZSx+loUHGoaVIRv2Z4XCl2eMNnl+xt1D/+0ah+/MIPMEFUnx
QmMoWKJncDDpSDcW0SdQM1rZMKLGB/v/R3EQeCvoEvHUyUIKmd4b6XmKjpxwqVQjP12xgJV1RYgHHupdqizu9aébgs16t78WNx1/4Pz+XD8M38H
3H7deoC7n4T4Yzvd9x9b33xyrdvn7ARSFNMxwr1KftQ/FJ8XiF8GzfC/GOigO/A2p7ECAMCxF5BeYTqB29tDXde++1bxvj51PuMvnMOBVeyS9I/MFzT3
QDQTJ0zkCAhrFOzYsSJIAsUy90b7mRNeG9+IVQgCL1rhHcHs9nEKGVi6jSe8NYQ31pwMye82sCvhp1ws73AzUkQqthCyUgYAsDuWks6fNS/5Ra9
79zFend/+L/cAXzkugXAJ46i9Rnbf+/R9Y3HD/pdHgAoUjFMAgkKp4Se3pnrApsQwP5us7yB770vAhZhwHIOGO/hTTg8gN3bU7p5LmNoHN4Ft2yLwQ
WVAGAZ1zzI7jWaP071KgpRTKzDpFJ0jMVG7JCGvJp+kfkv6OAFVIFMotXCaWQI6UPjc41RboWq88MEOM30+sHPOS4waTyASrHv1G1Zg5Exw/ax
E+70/0Hs7uz//B3AB69bALY8j6Uy7b3r60ObmLf1uz4n6zTuGOQAVf+eMJIm0SegAOMk3h+M1ibIM1tw++fkl4M79NhHgQ1LXYnR2147GXZIkOQKAXuBJ
EclYCX/K1Y4M2bybnyWbZIXT7igl12K8tRpVDFxZHoprbX76 ACWS/guq0gBdHNK3EZuKH1QBvrrHQiIW26f/QA1AHKRIXuYedwLIthwHJZgqJT7Tu028w
3VYbZ5pDw/y50d7b1f/iTw7usWAH+63t4wEr7j20aRE4NOh2E8TnkVUKMFYOPP8PYw6kAaZXazt6fJ+BZifO8RODa2uCnEg8D6UGHZz3IcC3u3XSLy
YCwCXgkhOcW6f9xFFBktpiH4alOOKF6QY 1 TV2S4udosZB5dCHxcmwRmaqoSVgMpRx6g|Vsjapfr/ihByAAeFeFBaZWOKXu5mALWLQgABxIAs7myjx
AgkglHKrWV5xI5TNMV9bLi2XV2tna/befBP7mugXAHyxnJwZh/Lajx45t9pgbuGN/Abgx9ABcBul3vxEljPlejulvBVIM9/JPdPtefMkrupv7AjiHy3KP9/howZ
Wt+3B57vMB6xSX0gj3SSgEWFISYKMVYakVIeW4RBxmeY6tosKFWeWBsKw1bgkrUIDk5Ybe+AQC8wDT/H5P/CjZZi8hY9t3ylvCHYOvXGGKBZVAA
MtBm6sjAVSXMHXF6IGOvIxb8k3DzpHj5ZnJtL29u/urd198+boFwG/305vXkvgtR4+dWO23MyEAUmMICAK8G4tBNs2XP39flg8DGCzRrXTwMCIGC/j+gl
FtQoC1QgC42nnj29EQtsh9GLgQxbiH14lYwUoW4ngnwaDbRpjFEFcjn02xNStwdlZgK6+xojUefwgAggDpAvI1ymGrulk2rmSaPe07td743ErnY/4hAKhB
zhsAuNxJTclJCZQkhS7XtQIMMNP83BPg+y5cTK7s7PzZWnRZ/dd0C4EXd5NbjafLGoydPLv{SjPs040zEMAREItRS+KHqgA7Arw32g5wbwx9ubal rP9z
kvQCAeAGeB4ByN4CzVuw8h5u0YYsCZ6MYd0kojDHr7Rgnei30+I0EvCflighmY2xPZzgzL XFuVmK1rvGkoOJqv+buQk9Pq3KZeUT35LfNg18/yMRvX
vuYj7kTCkBdwVjv+0PCCoA0gWUlaKoAJoGodJoLqcllJOulMH/POZ+pHP/UZuXz5yh/eBfzZdQuAf9eJn3RzO3vi8eMn+t0sE6MuzY xIW3wvnVN+nKg3po
kAftUyF+sf3trFCt+rgR657ctxP1e THFpnUVUWFZ9ri7wopJdxNcGIW4gyHilMAX7sJji/1kCOvlaBqgC5hZyMMR20cnea4fOKmsMatqgaL LiiHgA4hZHvoNtA
KxzTr4mhdYWDZ8nHJ9Ye4Euao//XNIOehc7awteMmY U1urXxFUFSLVDFJdKErZuOkx5a1f/0x999++x50/f+IP7wH+6LoFwL9tR0+9pd165fEbbuh0k4S
ET90oKhEkg/+MBY5g1hixAwwYs0sGmJUAOoCGKmyketne5ncMDxQ94sOPHdAq9FWVsUzmJeltgfizEqSmRRgOP9FpZXIhF3uzAc12bPIlJ+imIxxZTLD
Q5Mcl4vKG3sQBehT6bMYD/eaAFYChCYvhYCg5rMh/SuY26b+p+h86rzsW9UqB4k90ufzvHJ1XZra5p08yLcgqK1/1nG/BOcc+tn7bW95Snn707MvvBn
73ugXAf+hFT99MWy87cdPNrvV4UB6q2IQZBHBneD8bpefEcgJd0+Pv6GgwsGoOLGbEGF3zEhH/TNiIST10j0Ubrag6EiGO0a07zAdJ4jgsNKJOPW7SB
gC5nAqTgbUKKuK8yKApfnBUZI7fUINShAiOpkf9p5M43SwF5CXpDyXXyO7GHz52b9W+0ZSPI0TddxztfiSSzuPRaWvzZSV7aTVvmsb3rOvNPpT782
tcX959641330vzv1y8AuuE3rGXtPzt2ww2tJEriIKAmXIjEx02gqgtLzihm1hZvZ+oxeHxMjYNPX60j3UrGp5eNsXXUYDCBqJgo9KiXnmG28r5FWNnBPHtv
a/h+UGfxpBUrN68FQQgeMwrmsvGKHrT/01dqGvAOhxZk4xqZ0HwdSzhg5zPjfXFnmDk5qgeNcVAeC/5qgL9FqEQ15iXrPfkODrvu5peMZTn1KkeX35
nW984+iee+9++700v3LdAuC3Bulzsjh96erJE+2NLLMSRZsU50Sq4INgm5D5gN8J5GOBP33+w090LrzBwjMcfsnf6EmZtboMNBWzpDUjtWpS2RIFVm
C+uezHO0q505NoDpPaEEQ3XGIiN3EBAUBYWGO719wQF6ahmZ4SP85hai1INj9DQx7617HsRxI8a5fsKtvnanK+DwehcHuUXVoa48TG34KIPfyZuXF
8rZTrbeccb3nBw952ffu9nHX7uugXAf+on/yxL23+8cfKGpBUFURRHg7yON/OCEH0A9UobvyPg8L7ORgXSnP7DBTOPAGABBTOFGzt8k/mg4XMaRfls
Ma8qFHXIDU7j1pYeoUTFK2D5H2sP7zVoxOb3Md77asPvAOayEnoYfg9DgPpTfegBqC8o/V217A00A6Z+Qxifm/32HqDC1fEIGKyu4Wue/gysbmyiloZV
NC92/vYNb9Ii7/fZPfOQ+h5++Fsrgq9IN/J1e8rwga7/4hhtvkigw WRkGR8n8siBMGmFo002wJjB8VP8wBvBfwICC1fofXu3BtK2uFoFkgvXDhpXXI6xrzusK
U8b+sMKIKTKrKJ4f+pC8SxsqPiTctYt8dILN8JJFY/jW+X3CYiwR+XYjfWuMfjYeht2ncPOUIIWB/1pz9yVDAisFrzzy4HTIen08+alPxQ033YIgDDHIkmpg3
aW/ee1rRn//4Q9/+j85vPD7GmdzVT+uCgB+q5V8u+m2//ONNIGELDBxkYQnrAaxnwlkGGAloDbDD4kyD2gSMAKC8hzSQ8zceZI4JGrCEEEUIUAIKFG
OMES5jBLp2NmI42iu6fC8Lpxag8SR+04dPJGg9C8cHR8b5fY6jYo0NeGOsv4Xeg95kZpu+waSsMWLIWDNM1XIvMOGIWYHQC1nrE78mL2mWE/dXIVF
VT/1a3PyYW5BScAhBNwmrvtXL73jda4fvif8H7/0h5370tgZjV/XjggDgN1rJ86Xb/u1bbr7ZJsYksyi80UGSzBgwJ3+4zPJ5AAHQFPO0VD+Jvp/fJIWeduTs
IKeL/F5e40+41/sJa/JG/TtnDmCtH/bw7YNDLcCikmhlpuY2cHIHFUHg9xO6pgnkM3iHgp6F38NY7r2NNmGGiiNeEUfvsFgy4bsTfjlps4zIxXDFWN4/glic+
EZvHjiFJUg9efnQCU3edXnn3G96w9+73vuf+H7L6g7ctbku+mgi4dKgD4N534B+JW9zeP3HhDSv4nTpMegyyHQpgJoAXtapoQ4AWDrAg4aXNx+ukBu
C6WtBFPv41i700p3WUcpvili4GkXJUFBjVIaY14U/xYzPvv9PennhABr3TOWPhbWVp5bJ+PlydLEOmMtP83r1zqgQSFpdT01U24YeLIhK9JOungFOAxBImn
hyPHT+DKkTTehv7yMKObrbSivsgxQToY4{89ny9v//kOzCxcvnitEfuJSVV31fYFfUgDEwWOMIif7Vhpjn3xhFN60vL2E9TXCk30ErTNCPI/DO6ISGPIWRsK
gCWA144x8CgK6flOBuUAf+IESQphFfPCOetKe02/qgT6UpCndhEGGP8ZPozfJ7RYFeYTTBqfj8qPjPtxcE4M2xp1RVKJgKIXoDdp3P3Mu38mmBYFZw1
gGr8pQTmcEmUZ+isrPtHrLyOhjDnDQObQ+gROPBIj680VjC5dxPm77/WEFb3XNAhGFu7np9P8v18vHiDodlt/by2e6W/dXHXExqgATRehHMZbTGCtxjL
UkwUoSYykK/deyOCALQ6QmM8KPI/DcRY34Y+Tc0iMPMOUmM8R6h4qggCWdTIzgLgCWVoKErv2pkOLmJJM2/CBJDVAIdGCBQyg7b2/D9bftwiwLKySf
jaZrbAq4przBZGLxg66Bm4XNzwNcWIuf/IT7Ua/zOoViggEnleYJ7nvgM5Go2gZYH5alwo5foY MpmWHu1lo09H4R68LADxmebk3icwna+tuZviNEPg75s
ia8GB6A4RRhJikSxT5zSFZFKIdhWhFETpx4v/ciWJ0owDMGdhAylinh6Hn+L33YOeOUxysxZnMgcsZyA1YWK/4XdwvtJCCswDwhJCSqWV1YFF5Mb+
FVozjzedZ9jWkUmNolngHoKDuwJ98Gp8/09kw71vEzProggjvhZpHTbCQbPLepvYTS/zwYc6DzieqHzs4GD3zKx0AJZPIwgAAEStJREFUPoPb2Fh6sq
r5YFXZwaKab3gdH4ubUo/unW+ACUKEQZPZG57yiCc9QpQk/oQkWYZWg+UXTLbbLbQ7HXQ6LXDncK+dodtuocevx7EfNmOIAal09NPjSSf0g54Bt7
L4m8a4RYTGpP6Hxqt87IAPC5TbJYqDAKU+R1HkKOZzzKZzzOczTxeXZenZRZaaZcVSs/Sfnx TMNSr/e TKPJKDKkgRT5ZtUdVXB2nqRa9TNInHf3W
z2FC20zgTBg2nWfsqVK1e4XvqqfHyxc4DDn6dHN1b+aWXdO6uaGt1Dhe+h4gMp8zxX4pO+RdinyL4ARFAHCsPEOTJ6SBQISVgtZr4tOr4dOv49Wv4v
uYlAeHytLWF5a8p/v8ns6XbQ7bWRBY5NNnnBaXA3gD9zixDL+UjRauBL5flrpZizpcljxaljsclzpwQFm4zEm4zGm4azFm4wmms6kHxnQ6éw3w2x6zIvYu
n8cuiRFWV3ug88ZaCVT4TdOQjnPUew1cgXu9w6BWIBGEHYp45HASPXRX5EGQ/4hEONRjdXvLG39papqWLIGvmM2YvobFW1C+i6zf/511ILPwxbO
P/SwVgwBxGDQuPwzQCiPEUei3jcWc+E0TXxAuQhFmKJKIHSBBnKclk9rE5zTL/2xIm0ij2SyO9AbjNrd3CYHNFG2frogXsXr6C0d4eKp7m+RzFPG90/6
GRecJ9IsgTXjfJJuM4Xb1vRpGHaMIGn/k5AoDPHFdjiUnDfwEAmtdi4zj41p2dg/d+RQOAb+rRI0s/WBbu5fwfX4T95mbQQ/e/MHyziPnwOQCAXoBVAe
P61QBoePLzGQEQ8GH8g1tGKODg2vmYDyaNgfNt3ShQRKFDaNTvHuJ8vyFL4/dJLaY/yEAIUbPO1QR+mKSsuDtQUXKMTBIW/PhmEKd+5p4S5n
MzeNosmylAFo0oGv4Rxn8YBAQC+YQFEBouosIHPvOhXjAcDI/3iMP5yC9+0XHxxQgBD/+M225r8pkX3QY9trn0s3npXslsu3G4nsJZ6L0a939I18pBu9T
yPF4gwqWuUogEJPDUb8eQHYdOICOKODKEQGrQJBCOLxJBcPhPEZprXz/d7iTfZRuUUmB/mEF4/a8kHNNvCOSfoWUS2cyncq5qdgSwDeRs9u35¢
NM4+gG8CLR6cJzg0PBM/egGKUnwF4QFAIDR/Z6LJxPBwSSU9QaN4XFxcuXiPVOWFo9GIpeAjbfMIABGXBgAvgh7dXPEPRWI/3XPui3mMRu65SA
AP276LdeyHdT+fCYLmMNVHAT+P4EBAESKNFCAhCb3h6Aw+AYAGAgN/bAMDr+v2mDwKguXTicAsZLxdnSu/jsK8G2MtvokZxybiv/3n6gfYhE+gHPh
QznnzL09+0ej0AFmMIUb3zv9pn1LzzAI0Dgl1L6SoJbSql5XQDg8LKrQxOL/OpwOP6dfyA8fOIASKUBAEPAf1I+aVHVP+kXKv6PAOB1dk3HzN/MwgTwY
SKoOfk+D1gAgGGAfXrvAR7hBQ49QEWZI88VuLSpuVHGj3VHZBWb7eOkmn2j0W8RWT SIFptCq4 Xb966fnoCUcq0UfHoAOPjs89Pwvte/iPONGunzp/
2wdGzCQGNOnwT6ExK9ZU+viF98mPIQILIKIkZ{t749f+Bu/Abntti+1DYe56xc1 DHXRACBXxjDwohdBN9eX/rqq7Lc9DIDD+v/QA/jGzCItPKwIFiIHADwowF
BySQP5kh964BACf2wsAkBPwWHsC7foOYDx826AGa5U6L298X+cXCty7cMVIGMkpxvLuuXRMCFs+keb3RqgQjigumF4fiIMgqghcD7v+puT//+2d+0wcp1
V+NyZuzOzju31194EYt4hCRgJOqEA0gEECIkqUjoKSpSWDhGFiolGSINoEBWIjg4JCYmHSBFRBAUEgSBeeVjxruPdNbvzuOh7nP/+dulosu84RGKj0
Uz24bH3nP873/nO468RIOE/Y782j0aDGQDJX3+4m1Hz652dK5+AA/[BWZ/8wVFgPQ4QEdvIOf3LxXL5UN7{I9CviCDDgEJC7gMGIGcmwHSQpx+Zg
LIAkMBOglkéwGjMWO0fwQCMHjA8ngAPwZ3Phkzt9c/qEpw8IgHZyQL+NjgwFCADjghCkmA/YIwPgGeECX5eB6QR17PfrZP+0J/Tk78YOAOUOmMNj6e5/
Ze/CZC71XXIcEgzrB4A6QKPDEd089tVisPkKOy3nMvH2r7/nUFIhOe7aCZRZAkQg8AManLoAuHal/iP1Aghl4AB44/WijlchY AZwF3gADE+j6RAGEAIOh
OSXHy0AcAaF5AssWSB51+iDcwPoxMwse4L.8KHz8MBaHw30ib5S+KHWJ9ZAGcVm{/D8Mr9ewQQH8hbKbUIJf76wLndg7/986UrtyMMDOEAGZOK
CHThwrnjL75w9NRi2d1HWZD3+1ybBUAXYLmXbWBq8ID8Fw+AQshOkCSwpSEhGeOEIxOQI8DwdgAWIYwCrX401UQPbP6S6kjF2J1ArAQIBFCzX
9EBWBpGazkQgWQviaDrAiwOQSJWEajk/nQI5f88+XYCEj+vp08HKBoAOOE7gNPBZtTsbm7Gx59/fu+Z13CAQU+/IJIhP2jv8+fP3nP1YPnkcrW6R2/w
WmmgkYDNoBaFaHx20NKAJACHgAOLQSCEgH+KQny4qwgogP590kxtfLOGNZFDiOgxON8JciyrgWwggV4PR3BruaGdfX+G/4z5KhAp1ov81bFfcE9
kMeunA2QK6NCj+K9CUIEC1D+yms7Gn3vppcs/e+yxGKOTAfmAKgDzI9Wv1p13Vb9JgUDTPKIAU7+yUbQjP15+IEGEc6dCcgR1LSp9JDTRYEMYEY
nkBYAxMCJx2ue/HasugNvAtfslU+iDUW5FijA2QKd7BLz7QzICpL8pQMkEUsOUE4+WT94hohfOgGcTiHAXTFBZH/TObrg2nj40gW9n9zggA6KAmtBg
LvwPPXJw+Xg5xDfEgC88amQvIT/eCUL/nPML3Iwu3IB5Yr/4AIMAOgN4QTkBi4V+/RTNeRDQxxwmrHDARwgiO+lJcydP3QCdwZRwuVwScZ7EcLM9
wX7knhV7fNkEj+nfYR5+jPIk/ETBex4RQgSQKYqqNDYfWInZ/+H2f1cgfSgxIBHAvDvetedp78wX65+CuLDkabsAvgZTZ1J/IgQcuOHZeBEgVQCFcthAP
2jGD+dAA2dIIPhFHgNN2GjgZ/REMLYK08dQMC3hsBACzB6hQGd/j7Ny4yAZd4i+PRhIHV/OJHiv04+EQAcoxMKEHFMBjP9q4tBbCHKNTXN13d29r7x
INWAM2e2Hu667sdc26ZSUH8IW1ECNQHENB/VQFcFIQWgECTPQIHWhjcKwKDK9Y0QXujcG19yspY8y+ioML7KAdj7gZgtBED818l046sJhDEfpA+7
ANN2pZNfévyV4pekL4lfffoT/IkO9n9ad6DScHKIdtT8aOfy3i03Qw4eOg Twid/ZOvHIVcT3+Q+risFs9vQ1rKgDMAwgLhfiwDW8V9aAPoFrAz6 OUUisvOkj
D79GQLy8wX+3WJGDsDIYOrPANIoDiUCOLArD500DLDCZ52/PNNZnAVUzL9n/UjxBPug/qnRVBmMAegDgCCSBxQF ECMfj8W92d698zA4wO0zXvH8
tDnD29NZXV133TUChg8BGgWT+eR2rod8plWsAJmgAf/UGKO6TDDr219aXF1/fJ+KX2Q0/bgRQONEMgdAGK4iKATUJZGsYBZzsAlLcT3jnaWfjp0qg/
GQrSafAs49eij4gg002TTsiBGX7UJeUsyYqgrép7+vLI/Q/fikGRtTjA9vaZry0Xy8ehrpWP1AFyDQhOvVYfBM/UTAUxD9vGbJxlhgCHAwIBJ9calgggqYoOl
Liyx60gqYw4fFxmW9QAbjk4A2Hct3ye/jvt0CINAOUXW+9MBzPiT+Hk2MFk/eZFTQD1nmqgzPSymNZ6ezOx68ePHi3rBZ+qv/tLU4wLmzp749Xy4fxT9
WHzOPUOHHfNUAM30MhOo0w1eQMMzDXQm4FAgQuj472ed9HSA1BHEI9R8ovepBOwZkynSVMJINJehQ2UsUYKYgLIAaPRAGSrOHHECKLxs//O
en50AT7x1Hclg+/fM2lJyHbuL F8Xjy0d3d3b+9IRwAVp7hUpetrRM/6Lru8/2uJ5HA7AVU/FcY0OiVyKDUQEO/DZYsPp2gzgbgHBkOavOgHYHkj9mGRC
CgkRw2Qfy1EGN4Zr2ehSHF9ITzdMrr8g4LPC79ZqcPeYRX1aVDIdKT9dvJCPk1ApT4by0gKiMoDpbL5ov7+/tYHafh4zVIDIUAGPASDf4XEVsnTxz/Vj
TxUL3si3G3CgMsAjKEqCZwvRbQK4FEgQoJ0gnI8FMtJMvXzyQa5P9nz2G2oun3rris4nMa040JLsA5Qnf0Stn TaaczZINH1vihJI5/6kvtX+/BEJDGdxaQ
hbKiAtkBMGS8XC4fPTg4/EVEVBIROXGBG4wG/xjCAXDq70IBMCLUhCMcP3HsKENmMRAfg1j9XObjly3X/0htoTsCAAEQCkzUTQIlAiZ7CAJEgHCJFIq
WNivMIG60onpLYgh9DpV/IZMnCv0ScHkGGzfy/Twz48FLh3bb8nfpWeUEIfEIFx3tkA078q/r9mCOA56favXj18fLFY/T4iLkXES1h7iPmRoT3gVhOAv00Y/
56leFtE3AOHMMO02Pj2ZTD/IXnAZvWoHL47gVBDxoCeCrg5CB0A4YB6vIrAUhOQM5gbO8Wn4zPmz3dxFpkQAzhfyw6VgCDSO7Tz16QB2AoaDEiJg
55Bx2eRZ9fkBVTIUSPSBwbXORtfL4tYpdwO5IUQcsOIA7FaJKwcHhO+sVgvnbPwXIuLffgw6QHqrDoBO6/MR8S4/wwm2x+Pm3s3Nzc82zQgDwC45a
cz6GkfgBcOeEjEJTF5QZgYo8tgRLA0JIoUEKLWskmHBA0o+OPUMC477fB8tIWEvgHV6FoOyb4+pnlwOx8gcXgjhAg+N7PKuHSCbPPnMgeLK+ESAH
ETNNjCFoOsRgN6hSuXL+/tXsTYORN8+Iv4ZEX+P4JOC6GQf7ONWHQA/D+h/f0S8JyLeYTQ4t7GxcfIsNvig04xapTfIQAIJGBOjjaN2MBaEkrVXzB16
vppFlc/TIVjeVaGIKh/+f9RaR9D3Mec389d7WQDyQAbEHWEGWgmEYQuZy9ONE5xyrgldKe9ywMNQf40zCPavhX/LwXnfvPsk0JTQp4KCp/8cHj25W
Cx+Z9j/R0QgG8B9Av8amhDeqgPgL4xxOgDAByLiXgMBQsL2aDQ6P510z2+07THeFZspoTMAVeYkzAgJ+i ERwnYQOjFDESTHHDsDmDhIcYUJSLw1
vZOA80B0gew+4ipoEMC+UEquHM9AhqrRQJ7pa4y5GruHdrysHyHo/uj1YAyix/9rv7SVgkGCGpcV8PV/TIL5SA7MfJx4nHkMgf7QSDnv4CzgPgCYIrCC
CclB3hneYF223bbk+nk+PtBnpzMg4LAYpAY/hWmtaPjik11Ji4mkQM+yCMrXYEyPAu98IRnBHKFhEVIIB6FgKIkbtgh5Et3yyGZ46NvepUW771SJeqfD
2rz1iflo9IpmBe74M6g6aEUhAy2uvid9g7vLw8n8+f6700cR8n/S8R8YyNj1 Cwlu0hQyBA7T/gBG+PiPsj4dkMRcVIEVNVk8Nx4PD45mUw227YdjVsshsuF
PEIHZgDY/tFC+x9zDBzP3A5CuViiDo3p5VGZ6ineK+5LTcRrK3/eMcgQwJvGXacvuwF0+jNf5+tk7yVv71fXunBbdVwVc6zxI6QcHh7GHBARp+ES5jerW
T0+ns12+65aLxXJvuVy8uFp1GeMB9TA8HNCEtaR/abShHSD/XFj2IHKBEOGCeQKcAZxhazweb45bLAucjHR6WzdqYHePCCOMB3clZMDk8ncaUc4JT
btpoNzDOgWURGR7wfUIU/70y+GSdQRxAnLQoglZ+jlhnRsDF1N5Mwgoh7iE0j8FrXICBzqGjozg6PJTB50dc/ICZQKSHOPIZCKmM5wGg5XK2wQX7 Vv
bLqVmD3MDyM/gcbHZD/slcSDQDOr/9HrMsBeneFM5wO0OQRHgEMSEBHv8+fOQj0ct+2YpA7LHxwGuDraG8IUL3OmMUEBMjHGyzcmfGwe24zZbFZ
QA06zgfIBfHOy4ferJKxdATX0zzHx6wigGBQGBIHEIPDVg4PA1+fYOnaEwU/sE0DowBXz3jY Go2ebd9b+jSpd18HoyOF3zexhZBgcsf1ZOwG+thaYfz0
XuB0OcP3700vohJEA6SMcAVnEeyMCvAFawlb TNMewNpbQznivoo8cwtOmgNOgWFpXHsgvLCoVFdKnukyrWagoRZkysCkGnx8ZzxW/s4WrFpMyp
RPJC90CCgUPAg5000I5DA3Dg9Hj500iyEFz+puBizfDAW7097zDSIEQgSWCKSWYyixSZ8HIIzSthHE3TzMpK2evOhZJBmDvk92W20Wic8wjgBG7J
gtNBbB/HtSA2eFH15BiYKMedvmKZ9mIl1 CBul3XDAw4AQ60qt9a6/s0Y{8gs4Gbf/43+HFJN7Fc7bvSAs6D2AJ6BBxwDz0CWOOYx2uyabopN770R2P
snuXE6aUCxhxYGaussIBwOXYML4XCKYWScZBgRejxkWUA1XsOo+cD3vSmXP7/RX+CNvu9/CQFu9d/y/5+/id/AfwGzVLVgcmhudQAAAABJRUSErk
Jggg==!

#4 - 2016-08-19 16:33 - Victor Campos
/lib/redcloth3.rb
There is a line:
return m unless uri_with_safe_scheme?(url) (#964)

It's breaking base64 urls

#5 - 2016-08-19 17:13 - Toshi MARUYAMA
Victor Campos wrote:
Hi,

| don't use any plugin and | have this problem too.

It disabled by r15433 for security reason.

#6 - 2019-01-03 12:24 - Aleksandar Pavic

data:image is getting more and more use, broken plugin functionality of ckeditor is fixed by adding
Loofah: :HTML5: :WhiteList: :ALLOWED_PROTOCOLS.replace RedmineCkeditor.allowed_protocols
Loofah: :HTML5: :WhiteList: :ALLOWED_PROTOCOLS.add ('data"')

to it's init.rb

however my opinion is that Redmine should be able to handle base64 images just like it's handling PNG or JPG...

And broken windows paste image from clipboard functionality in new Chrome is fixed by adding https://ckeditor.com/cke4/addon/pastebase64 to
assets/ckeditor-contrib

#7 - 2019-02-08 14:38 - Aleksandar Pavic

| also had to change type of column messages, field content from text to longtext in order to be able to work with base64 images, mysqgl databse...
Also in issues table, description | have changed to longtext, earlier...
Maybe this should be separate issue...

#8 - 2019-02-09 16:52 - Go MAEDA
- Related to Feature #20391: Add support for data URI in mails received added

#9 - 2020-11-04 01:11 - Lucky Boy
Aleksandar Pavic wrote:

data:image is getting more and more use, broken plugin functionality of ckeditor is fixed by adding

[--]
to it's init.rb

however my opinion is that Redmine should be able to handle base64 images just like it's handling PNG or JPG...

And broken windows paste image from clipboard functionality in new Chrome is fixed by adding https://ckeditor.com/cke4/addon/pastebase64 to

assets/ckeditor-contrib

to make it globally i create config/sanitizer.rb
(Loofah::VERSION >= "2.3.0" ? Loofah::HTML5::SafeList : Loofah::HTML5::WhiteList)::ALLOWED_PROTOCOLS.add('data")
https://www.redmine.org/issues/964
https://www.redmine.org/projects/redmine/repository/svn/revisions/15433
https://ckeditor.com/cke4/addon/pastebase64
https://ckeditor.com/cke4/addon/pastebase64
http://www.tcpdf.org

